Bug 749535 - [abrt] yum-utils-1.1.31-2.fc15: repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
[abrt] yum-utils-1.1.31-2.fc15: repoquery:717:doQuery:TypeError: fmt_list() g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:006aaf0fe319bbf86cc948c9388...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 07:45 EDT by Michal Sekletar
Modified: 2014-01-21 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 14:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2011-10-27 07:45:37 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
component:      yum-utils
executable:     /usr/bin/repoquery
kernel:         2.6.40.6-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        yum-utils-1.1.31-2.fc15
reason:         repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
time:           Thu Oct 27 13:31:43 2011
uid:            500
username:       msekleta

backtrace:
:repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
:
:Traceback (most recent call last):
:  File "/usr/bin/repoquery", line 1406, in <module>
:    main(sys.argv)
:  File "/usr/bin/repoquery", line 1400, in main
:    repoq.runQuery(regexs)
:  File "/usr/bin/repoquery", line 990, in runQuery
:    dot = self.options.dot)
:  File "/usr/bin/repoquery", line 717, in doQuery
:    return "\n".join(getattr(self, "fmt_%s" % method)(*args, **kw))
:TypeError: fmt_list() got an unexpected keyword argument 'output'
:
:Local variables in innermost frame:
:self: <__main__.groupQuery instance at 0x25c9758>
:args: ()
:kw: {'output': 'text', 'tree_level': 'all', 'dot': None}
:method: 'list'

comment:
:1. repoquery -g --grouppkgs=optional -l base (it's manpage example)
:2. observe results
Comment 1 Adam Huffman 2012-06-06 11:51:14 EDT
Ran command 'repoquery -g -l core'

Package: yum-utils-1.1.31-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Michal Sekletar 2012-06-06 14:32:32 EDT
I'm running Fedora 17 and now it works just fine and Fedora 15 won't be supported by the end of this month anyway, closing this one.

Note You need to log in before you can comment on or make changes to this bug.